Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Interface MappingNamespace

All Known Implementing Classes:
  DataMap, EntityResolver

    public interface MappingNamespace

Defines API of a container of DbEntities, ObjEntities, Procedures, Queries and other mapping objects.

Since:
  1.1
Author:
  Andrei Adamchik

Method Summary
`java.util.Collection` | `getDbEntities()` Returns all DbEntities in the namespace.
`DbEntity` | `getDbEntity(java.lang.String name)` Returns DbEntity for a given name, or null if no such DbEntity is found in the MappingNamespace.
`java.util.Collection` | `getObjEntities()` Returns all ObjEntities in the namespace.
`ObjEntity` | `getObjEntity(java.lang.String name)` Returns ObjEntity for a given name, or null if no such ObjEntity is found in the MappingNamespace.
`Procedure` | `getProcedure(java.lang.String name)` Returns Procedure for a given name, or null if no such Procedure is found in the MappingNamespace.
`java.util.Collection` | `getProcedures()` Returns all Procedures in the namespace.
`java.util.Collection` | `getQueries()` Returns all Queries in the namespace.
`Query` | `getQuery(java.lang.String name)` Returns Query for a given name, or null if no such Query is found in the MappingNamespace.

Method Detail

### getDbEntity

    DbEntity getDbEntity(java.lang.String name)

  Returns DbEntity for a given name, or null if no such DbEntity is found in the MappingNamespace.

### getObjEntity

    ObjEntity getObjEntity(java.lang.String name)

  Returns ObjEntity for a given name, or null if no such ObjEntity is found in the MappingNamespace.

### getProcedure

    Procedure getProcedure(java.lang.String name)

  Returns Procedure for a given name, or null if no such Procedure is found in the MappingNamespace.

### getQuery

    Query getQuery(java.lang.String name)

  Returns Query for a given name, or null if no such Query is found in the MappingNamespace.

### getDbEntities

    java.util.Collection getDbEntities()

  Returns all DbEntities in the namespace.

### getObjEntities

    java.util.Collection getObjEntities()

  Returns all ObjEntities in the namespace.

### getProcedures

    java.util.Collection getProcedures()

  Returns all Procedures in the namespace.

### getQueries

    java.util.Collection getQueries()

  Returns all Queries in the namespace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.